# DMInitializePackage

This function initializes everything in the DM package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to AOCreate() or DACreate() when using static libraries.

### Synopsis

    PetscErrorCode PETSCDM_DLLEXPORT DMInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

AO, DA, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/dm/ao/interface/dlregisdm.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages